아마존 셀러 피드백
Amazon Seller Feedback는 특정 Amazon 판매자에게 남겨진 고객 리뷰를 반환합니다. 각 페이지는 최대 5개의 레코드를 반환하므로, page 파라미터와 pagination.has_next_page 플래그를 사용하여 반복 조회하십시오.
Endpoint
섹션 제목: “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_feedback
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 사용자의 SERP API 키입니다(Amazon과 공유됨). |
engine | string | yes | amazon이어야 합니다. |
type | string | yes | seller_feedback이어야 합니다. |
seller_id | string | yes | Amazon 판매자 ID입니다(예: AAZRLVTNON75Z). |
domain | string | no | 마켓플레이스 도메인이며, 기본값은 amazon.com입니다. |
device | desktop | mobile | no | 시뮬레이션할 디바이스입니다. |
page | integer | no | 결과 페이지 번호입니다. pagination.has_next_page와 함께 사용하십시오. |
Example request
섹션 제목: “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_feedback&seller_id=AAZRLVTNON75Z"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "seller_feedback", "seller_id": "AAZRLVTNON75Z",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'seller_feedback', seller_id: 'AAZRLVTNON75Z',});
const res = await fetch(url);const data = await res.json();Example response
섹션 제목: “Example response”{ "search_parameters": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "seller_feedback", "seller_id": "AAZRLVTNON75Z" }, "seller_feedback": [ { "rater": "Jorge balarezo", "rating": 5, "has_response": false, "body": "Tiene un perfume muy agradable, siempre lo uso lo recomiendo.", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 1 }, { "rater": "Sarah M.", "rating": 5, "body": "Great service", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 2 }, { "rater": "Chad H.", "rating": 1, "body": "Product was different than advertised.", "date": { "raw": "July 24, 2023", "utc": "2023-07-24T04:00:00.000Z" }, "position": 4 } ], "pagination": { "current_page": 1, "has_next_page": true, "next_page": 2 }}